Hassan (et al),
Thank you.  I figured a lot of it out (trial and error)and was able to 
eventually download and install RVM.  I then was able to download and 
attempted to install Ruby 1.9.3 using RVM but got some errors below and 
therefore it failed to install.

I am a UNIX beginner (like 4 hours a go :-) but it seems to me that 
things didn't' go in the right place according to the error for the 
configure.log and the error for the make.log.  It says to read them but 
I am such a newbie I don't yet know how to do that.  Is there something 
simple I should have done to prevent the errors before I attempted the 
Ruby install?
Bob
======================

ROBERTs-iMac:~ bobbaird001$ rvm install ruby 1.9.3
Fetching yaml-0.1.4.tar.gz to /Users/bobbaird001/.rvm/archives
  % Total    % Received % Xferd  Average Speed   Time    Time     Time 
Current
                                 Dload  Upload   Total   Spent    Left 
Speed
100  460k  100  460k    0     0   167k      0  0:00:02  0:00:02 --:--:-- 
284k
Extracting yaml-0.1.4.tar.gz to /Users/bobbaird001/.rvm/src
Configuring yaml in /Users/bobbaird001/.rvm/src/yaml-0.1.4.
Error running ' ./configure --prefix="/Users/bobbaird001/.rvm/usr"  ', 
please read 
/Users/bobbaird001/.rvm/log/ruby-1.9.3-p125/yaml/configure.log
Compiling yaml in /Users/bobbaird001/.rvm/src/yaml-0.1.4.
Error running 'make ', please read 
/Users/bobbaird001/.rvm/log/ruby-1.9.3-p125/yaml/make.log


Database file /Users/bobbaird001/.rvm/config/packages does not exist.

/Users/bobbaird001/.rvm/scripts/functions/build: line 28: --version: 
command not found
Installing Ruby from source to: 
/Users/bobbaird001/.rvm/rubies/ruby-1.9.3-p125, this may take a while 
depending on your cpu(s)...

ruby-1.9.3-p125 - #fetching
ruby-1.9.3-p125 - #downloading ruby-1.9.3-p125, this may take a while 
depending on your connection...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time 
Current
                                 Dload  Upload   Total   Spent    Left 
Speed
100 9505k  100 9505k    0     0  82982      0  0:01:57  0:01:57 --:--:-- 
81732
ruby-1.9.3-p125 - #extracting ruby-1.9.3-p125 to 
/Users/bobbaird001/.rvm/src/ruby-1.9.3-p125
ruby-1.9.3-p125 - #extracted to 
/Users/bobbaird001/.rvm/src/ruby-1.9.3-p125
Applying patch 'xcode-debugopt-fix-r34840' (located at 
/Users/bobbaird001/.rvm/patches/ruby/1.9.3/p125/xcode-debugopt-fix-r34840.diff)
rvm requires autoreconf to install the selected ruby interpreter however 
autoreconf was not found in the PATH.
ROBERTs-iMac:~ bobbaird001$ ruby -v
ruby 1.8.7 (2010-01-10 patchlevel 249) [universal-darwin11.0]
ROBERTs-iMac:~ bobbaird001$

-- 
Posted via http://www.ruby-forum.com/.